Get Countryʼs State
Returns a State. A state or province, identifiable by an ISO 3166 subdivision code.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
country_id
Id of the country
id
Id of the states
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body that the client accepts. Typically application/json.
Response
The requested state.
id
Numeric ID of the state/province.
state
Name of the state/province.
state_abbreviation
Abbreviation for the state/province.
country_id
Numeric ID of the state’s/province’s associated country.